OAuthClient
Create an OAuth client
POST
/
oauth
Create an OAuth client
curl --request POST \
--url https://api.reelevant.com/v2/datasources/oauth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": "<string>",
"username": "<string>",
"password": "<string>",
"tokenUrl": "<string>",
"authorizeUrl": "<string>",
"refreshToken": "<string>",
"accessToken": "<string>",
"nextInChainClient": "<string>",
"nextInChainConfiguration": "<string>"
}
'import requests
url = "https://api.reelevant.com/v2/datasources/oauth"
payload = {
"configuration": "<string>",
"username": "<string>",
"password": "<string>",
"tokenUrl": "<string>",
"authorizeUrl": "<string>",
"refreshToken": "<string>",
"accessToken": "<string>",
"nextInChainClient": "<string>",
"nextInChainConfiguration": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: '<string>',
username: '<string>',
password: '<string>',
tokenUrl: '<string>',
authorizeUrl: '<string>',
refreshToken: '<string>',
accessToken: '<string>',
nextInChainClient: '<string>',
nextInChainConfiguration: '<string>'
})
};
fetch('https://api.reelevant.com/v2/datasources/oauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"id": "<string>",
"configuration": "<string>",
"username": "<string>",
"tokenUrl": "<string>",
"authorizeUrl": "<string>",
"nextInChainClient": "<string>",
"nextInChainConfiguration": "<string>"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Was this page helpful?
⌘I
Create an OAuth client
